PKGCTL-SEARCH(1)

BEZEICHNUNG
pkgctl-search - Nach einem Ausdruck über die GitLab-Paketierungsgruppe suchen

ÜBERSICHT

pkgctl search [OPTIONEN] ABFRAGE

BESCHREIBUNG

Sucht nach einem Ausdruck über die GitLab-Paketierungsgruppe.

Sie können Filter in Ihre Abfrage aufnehmen. Sie können Jokerzeichen (*) zur Glob-Suche verwenden.

Für den Glob-Geltungsbereich sind die verfügbaren Filter: path, extension

Jede Verwendung des Suchbefehls muss authentifiziert sein. Im Befehl pkgctl auth ist beschrieben, wie Sie sich mit GitLab authentifizieren oder Ihren Authentifizierungsstatus bestimmen.

SUCHTIPPS

    Syntax  Beschreibung     Beispiel
    ────────────────────────────────────────
    "       Genaue Suche     "gem sidekiq"
    ~       Unscharfe Suche  J~ Doe
    |       Oder             display | banner
    +       Und              display +banner
    -       Ausschluss       display -banner
    *       Teilweise        bug error 50*
    \       Maskieren        \*md
    #       ID angeben       #23456
    !       Merge Request    !23456

OPTIONEN

-h, --help
    Zeigt einen Hilfetext an.

FILTEROPTIONEN

--no-default-filter
    Wendet den Standardfilter nicht an (wie -path:keys/pgp/*.asc)

AUSGABEOPTIONEN

--json
    Aktiviert die Ausgabe in JSON; Abkürzung für --format json.

-F, --format FORMAT
    Steuert die Formatierung der Ergebnisse: FORMAT ist 'pretty', 'plain' oder 'json' (Vorgabe pretty)

-N, --no-line-number
    Zeigt beim Formatieren der Ergebnisse keine Zeilennummern an.

SIEHE AUCH

pkgctl-auth(1)

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.